#
# spec file for package libreadline-java (Version 0.8.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0


Name:           libreadline-java
BuildRequires:  fastjar gjdoc java-1_4_2-gcj-compat-devel readline-devel termcap unzip xerces-j2
%define name		libreadline-java
%define version		0.8.0
%define readline_ver	4.3
%define release		9jpp
%define section		free
Version:        0.8.0
Release:        255
Summary:        Java Wrapper for the GNU Readline Library
License:        LGPL v2.1 or later
Source0:        http://download.sourceforge.net/java-readline/libreadline-java-0.8.0-src.tar.gz
Patch0:         %{name}-java14compat.patch
Patch1:         %{name}-%{version}-missing-return-type.patch
Url:            http://java-readline.sf.net/
# Requires:	readline = %{readline_ver}
PreReq:         /sbin/ldconfig
Provides:       java_readline
Provides:       gnu.readline
Group:          Development/Libraries/Java
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on

%description
Java-Readline is a port of GNU Readline for Java.  To be more precise,
it is a JNI wrapper for Readline. It is distributed under the LGPL.



%package javadoc
License:        LGPL v2.1 or later
PreReq:         coreutils
Summary:        Javadoc for libreadline-java
Group:          Development/Libraries/Java

%description javadoc
Java-Readline is a port of GNU Readline for Java.  Or, to be more
precise, it is a JNI-wrapper to Readline. It is distributed under the
LGPL.

This package contains the javadoc documentation for Java-Readline.



%prep
%setup -q -n %{name}-%{version}
%patch0
%patch1 -p1
find . -name "*.jar" -exec rm -f {} \;

%build
export JAVA_HOME=%{java_home}
export PATH=$JAVA_HOME/bin:$JAVA_HOME/jre/bin:$PATH
%__make T_LIBS=JavaReadline LIBPATH=-L%{_libdir}/termcap
%__make apidoc

%install
# jar
%__mkdir_p %{buildroot}%{_jnidir}-ext
%__install -m 644 %{name}.jar %{buildroot}%{_jnidir}-ext/%{name}-%{version}.jar
(cd %{buildroot}%{_jnidir}-ext && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)
# lib
%__mkdir_p %{buildroot}%{_libdir}
%__install -m 755 libJavaReadline.so %{buildroot}%{_libdir}/libJavaReadline.so.%{version}
(cd %{buildroot}%{_libdir} && ln -sf libJavaReadline.so.%{version} libJavaReadline.so)
# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a api/* %{buildroot}%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(0644,root,root,0755)
%doc ChangeLog NEWS README README.1st VERSION
%{_libdir}/*.so*
%dir %{_jnidir}-ext
%{_jnidir}-ext/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}
%doc %{_javadocdir}/%{name}-%{version}

%changelog
* Thu Jul 31 2008 anosek@suse.cz
- added %%{_javadocdir} to the %%files section
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Jan 23 2008 mvyskocil@suse.cz
- fixed beta build
* Tue May 29 2007 dbornkessel@suse.de
- added gjdoc and fastjar to BuildRequires
* Wed May 02 2007 dbornkessel@suse.de
- added unzip to BuildRequires
* Wed Feb 14 2007 dbornkessel@suse.de
- added missing return type where missing (Bug #237944)
* Thu Dec 14 2006 jsmeix@suse.de
- Removed xml-commons-apis from BuildRequires because xerces-j2
  already provides xml-commons-apis but xerces-j2 would be
  deinstalled when rpm installs xml-commons-apis after xerces-j2
  (which is rpm standard behaviour in this case) but without
  xerces-j2 the RPM capabilities jaxp_parser_impl and
  xml-commons-resolver are no longer provided in the
  installed system.
* Tue Sep 26 2006 skh@suse.de
- don't use icecream
- use -source 1.4 and -target 1.4 for build with java 1.5
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Nov 25 2005 jsmeix@suse.de
- Replaced {_jnidir} by {_jnidir}-ext
* Wed Aug 17 2005 uli@suse.de
- fixed to build on lib64 archs
* Thu Jul 28 2005 jsmeix@suse.de
- Adjustments in the spec file.
* Mon Jul 18 2005 jsmeix@suse.de
- Current version 0.8.0 from JPackage.org
* Wed Jul 13 2005 uli@suse.de
- lib64tified (fixes s390x)
* Thu Nov 18 2004 ro@suse.de
- fixed file list
* Wed Sep 15 2004 skh@suse.de
- Fix Requires (remove fixed dependency on readline 4.3 and enable rpm
  dependency check)
* Wed Sep 08 2004 skh@suse.de
- Fix PreRequire
* Thu Sep 02 2004 skh@suse.de
- Initial package created with version 0.8.0 (JPackage 1.5)
